تخطَّ إلى المستندات
API

تغيير ملاحظة

نصها أو لونها أو ما إذا كانت مثبّتة.

PATCH/threads/{id}/notes/{noteId}

ينفّذ الاستدعاء الحقيقي على مساحة عملك.

PATCH /threads/{id}/notes/{noteId}

نصها أو لونها أو ما إذا كانت مثبّتة.

مثال

يتطلب threads:write. أعطِ واحدًا على الأقل من content وcolor وpinned.

curl
curl -X PATCH "$OE/threads/thr_7c1e4a90/notes/b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d" -H "$AUTH" \  -H "Content-Type: application/json" -d '{ "pinned": false }'
الاستجابة
{  "object": "note",  "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",  "threadId": "thr_7c1e4a90",  "content": "Waiting on the signed contract before replying.",  "color": "yellow",  "pinned": false,  "order": 4,  "createdAt": "2026-09-30T09:12:44.000Z",  "updatedAt": "2026-09-30T09:12:44.000Z"}

معرّف الملاحظة الذي لا ينتمي إلى هذه المحادثة يعطي 404، حتى لو كانت الملاحظة على محادثة أخرى.

المرجع